<!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>Page Title</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
</head>

<body>

    Tumbon Name
    <input type="text" name="tumbon_name" id="tumbon_name" value=""> <br /> Ampur Name
    <input type="text" name="ampur_name" id="ampur_name" value=""> <br /> Province Name
    <input type="text" name="province_name" id="province_name" value=""> <br /> Zip Code
    <input type="text" name="zip_code" id="zip_code" value=""> <br /> Country
    <input type="text" name="country_name" id="country_name" value=""> <br /> Latitude
    <input name="lat_value" type="text" id="lat_value" value="" /> <br /> Longitude
    <input name="lon_value" type="text" id="lon_value" value="" /> <br />


    <script async defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAYb97AqAaPM_xNi93SAdcPdqi3miOy0sg" type="text/javascript"></script>
    <script type="text/javascript">
        function initMap(resp) {
            console.log(resp);
        }
        navigator.geolocation.getCurrentPosition(function(pos) {
            var geocoder = new google.maps.Geocoder();
            var lat = pos.coords.latitude;
            var lng = pos.coords.longitude;
            var latlng = new google.maps.LatLng(lat, lng);

            //reverse geocode the coordinates, returning location information.
            geocoder.geocode({
                'latLng': latlng
            }, function(results, status) {
                var result = results[0];
                var state = '';
                var tumbon_name = '';
                var ampur_name = '';
                var province_name = '';
                var zip_code = '';
                var country_name = '';

                for (var i = 0, len = result.address_components.length; i < len; i++) {
                    var ac = result.address_components[i];

                    console.log(ac);

                    if (ac.types.indexOf('locality') >= 0) {
                        state = ac.short_name;
                        tumbon_name = ac.long_name;
                    }

                    if (ac.types.indexOf('administrative_area_level_2') >= 0) {
                        state = ac.short_name;
                        ampur_name = ac.long_name;
                    }

                    if (ac.types.indexOf('administrative_area_level_1') >= 0) {
                        state = ac.short_name;
                        province_name = ac.long_name;
                    }

                    if (ac.types.indexOf('postal_code') >= 0) {
                        state = ac.short_name;
                        zip_code = ac.long_name;
                    }

                    if (ac.types.indexOf('country') >= 0) {
                        state = ac.short_name;
                        country_name = ac.long_name;
                    }
                }

                $("#tumbon_name").val(tumbon_name);
                $("#ampur_name").val(ampur_name);
                $("#province_name").val(province_name);
                $("#zip_code").val(zip_code);
                $("#country_name").val(country_name);

                $('#lat_value').val(lat);
                $('#lon_value').val(pos.coords.longitude);

            });
        });
    </script>

</body>

</html>